HTMLScanner.CurrentEntity (NekoHTML 1.9.21-SNAPSHOT Implementation)
Date: 2014-03-11

org.cyberneko.html

## Class HTMLScanner.CurrentEntity

- java.lang.Object
- - org.cyberneko.html.HTMLScanner.CurrentEntity

- Enclosing class:
    HTMLScanner

      public static class HTMLScanner.CurrentEntity
      extends java.lang.Object

  Current entity.
  Author:
    Andy Clark

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `baseSystemId` Base system identifier.
    `char[]` | `buffer` Character buffer.
    `int` | `characterOffset_` Character offset in the file.
    `java.lang.String` | `expandedSystemId` Expanded system identifier.
    `int` | `length` Length of characters read into character buffer.
    `java.lang.String` | `literalSystemId` Literal system identifier.
    `int` | `offset` Offset into character buffer.
    `java.lang.String` | `publicId` Public identifier.
    `java.lang.String` | `version` XML version.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLScanner.CurrentEntity(java.io.Reader stream, java.lang.String encoding, java.lang.String publicId, java.lang.String baseSystemId, java.lang.String literalSystemId, java.lang.String expandedSystemId)` Constructs an entity from the specified stream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLineNumber()`
    `protected int` | `load(int offset)` Loads a new chunk of data into the buffer and returns the number of characters loaded or -1 if no additional characters were loaded.
    `protected int` | `read()` Reads a single character.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### publicId

          public final java.lang.String publicId

      Public identifier.

    - #### baseSystemId

          public final java.lang.String baseSystemId

      Base system identifier.

    - #### literalSystemId

          public final java.lang.String literalSystemId

      Literal system identifier.

    - #### expandedSystemId

          public final java.lang.String expandedSystemId

      Expanded system identifier.

    - #### version

          public final java.lang.String version

      XML version.
      See Also:
        Constant Field Values

    - #### characterOffset_

          public int characterOffset_

      Character offset in the file.

    - #### buffer

          public char[] buffer

      Character buffer.

    - #### offset

          public int offset

      Offset into character buffer.

    - #### length

          public int length

      Length of characters read into character buffer.

  - ### Constructor Detail

    - #### HTMLScanner.CurrentEntity

          public HTMLScanner.CurrentEntity(java.io.Reader stream,
                                   java.lang.String encoding,
                                   java.lang.String publicId,
                                   java.lang.String baseSystemId,
                                   java.lang.String literalSystemId,
                                   java.lang.String expandedSystemId)

      Constructs an entity from the specified stream.

  - ### Method Detail

    - #### load

          protected int load(int offset)
                      throws java.io.IOException

      Loads a new chunk of data into the buffer and returns the number of characters loaded or -1 if no additional characters were loaded.
      Parameters:
        `offset` - The offset at which new characters should be loaded.
      Throws:
        `java.io.IOException`

    - #### read

          protected int read()
                      throws java.io.IOException

      Reads a single character.
      Throws:
        `java.io.IOException`

    - #### getLineNumber

          public int getLineNumber()

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.